<?php
require'config.php';
if($user['id'] == 3 or $user['id'] == 322)
{
	//ini_set('display_errors',1);error_reporting(E_ALL);
}
aut();
if($_SESSION['key'] == NULL or $_SESSION['key'] == '') $_SESSION['key'] = rand(1000,99999999);
if (!ctype_digit($_GET['rm'])){header('Location: index?'.SID);die;}
$rm = intval($_GET['rm']);
$_SESSION['r_m'] = $rm;

if($user['level'] >= 9 and isset($_GET['ig']))
{
	$_SESSION['ign'] = (int)$_GET['ig'];
	header('Location: room?'.$ref.'&rm='.$rm);exit;
}
if(isset($_GET['who_all']) && $user['level']==9)
{
$title='Где все';
head();

$whoAll = $db->sql_query("SELECT users.`id`,users.`location_ref`,users.`location` FROM who,users WHERE who.user=users.id");
while($whos = $db->sql_fetchrow($whoAll)){
echo nik($whos['id']).' <u><a href="'.$whos[location_ref].'">'.$whos[location].'</a></u> '.$whos[location_ref].'<br />';
/*echo '<table>
	<tr>
	<td>'.nik($whos['id']).'</td><td><u><a href="'.$whos[location_ref].'">'.$whos[location].'</a></u></td><td>'.$whos[location_ref].'</td>
	</tr>
	</table>';*/
}

echo '<a href="?rm='.$rm.'"><br />В комнату</a><br>';
echo gbinroom.'<a href="enter" accesskey="'.$bs[7].'">Прихожая</a>'.div;

info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}
if (isset($_GET['delete_all']))
    {
        head();
        $query2 = "SELECT COUNT(*) FROM `message`";
        $res2 = mysql_query($query2);
        $limit2 = mysql_result($res2, 0);
        echo "Сообщений во всех комнатах всего " . $limit2;

        $query = "SELECT COUNT(*) FROM `message` WHERE `rm` = '" . $rm . "' ";
        $res = mysql_query($query);
        $limit = mysql_result($res, 0);
        $query1 = "SELECT COUNT(*) FROM `message` WHERE `rm` = '" . $rm .
            "' && `privat` != 0";
        $res1 = mysql_query($query1);
        $limit1 = mysql_result($res1, 0);
        echo "<br />Сообщений в комнате всего " . $limit . " приватных " . $limit1 .
            "<br />";

        echo '<font color="red">Вы действительно хотите очистить комнату?</font><br>';
        echo '&#187; <a href="room?rm=' . $rm . '&amp;delete_all1&amp;' . SID .
            '">Очистить всю комнату</a><br>';
        echo '&#187; <a href="room?rm=' . $rm . '&amp;delete_all2&amp;' . SID .
            '">Очистить историю комнаты</a><br>';
        echo '&#187; <a href="room?rm=' . $rm . '&amp;delete_all3&amp;' . SID .
            '">Очистить все комнаты</a><br>';
        echo '&#187; <a href="?rm=' . $rm . '">Нет,хочу назад в чат</a><br>';
    } else
    {
        if (isset($_GET['delete_all1']) && $user['level'] >= 7)
        {
            $query = "SELECT COUNT(*) FROM `message` WHERE `rm` = '" . $rm . "'"; //получаем общее количество записей
            $res = mysql_query($query);
            $limit = mysql_result($res, 0);

            $db->sql_query("DELETE FROM `message` WHERE `rm` = '" . $rm . "'");
            $croom = mysql_query("SELECT * FROM rooms WHERE `rm` = '" . $rm . "'");
            $ccroom = mysql_fetch_array($croom);

            $db->sql_query("INSERT INTO logs SET log = 'clear_room', msg = '[b]" . $user['user'] ."[/b] Очистил всю комнату [red]" . $ccroom['name'] . "[/red] удалив " . $limit ." сообщений', time = '" . time("NN:DD:H:i") . "'");
        }
        if (isset($_GET['delete_all3']) && $user['level'] >= 7)
        {
            //удаление всех мессаг
            $query = "SELECT COUNT(*) FROM `message`"; 
            $res = mysql_query($query);
            $limit = mysql_result($res, 0);
            $db->sql_query("DELETE FROM `message`");
            $db->sql_query("INSERT INTO logs SET log = 'clear_room', msg = '[b]" . $user['user'] ."[/b] Очистил все комнаты , удалив " . $limit ." сообщений', time = '" . time("NN:DD:H:i") . "'");
        }
        if (isset($_GET['delete_all2']) && $user['level'] >= 7)
        {
            $query = "SELECT COUNT(*) FROM `message` WHERE `rm` = '" . $rm . "'"; //получаем общее количество записей
            $res = mysql_query($query);
            $limit = mysql_result($res, 0);
            $limit -= 20;
            if ($limit > 0)
            {
                $query = mysql_query("DELETE FROM `message` WHERE `rm` = '" . $rm .
                    "' ORDER BY `time` LIMIT $limit "); //удаляем $limit записей начиная с 15-ой с конца
                $croom = mysql_query("SELECT * FROM rooms WHERE `rm` = '" . $rm . "'");
                $ccroom = mysql_fetch_array($croom);
                $db->sql_query("INSERT INTO logs SET log = 'clear_room', msg = '[b]" . $user['user'] .
                    "[/b] Очистил комнату [red]" . $ccroom['name'] . "[/red] удалив " . $limit .
                    " оставив 20 последних сообщений.', time = '" . time("NN:DD:H:i") . "'");
            }
        }



$rooms = $db->sql_fetchrow($db->sql_query("SELECT * FROM `rooms` WHERE `rm` = '$rm'"));
if (mysql_affected_rows() == 0){
$align='center';
$title='Ошибка!';
head();

echo 'Такой комнаты не существует!<br />';

echo gbinroom.'<a href="enter">Прихожая</a>'.div;
 info_compress();
 echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}

if($user['posts'] < $rooms['posts'])/// вход с опр кол-ва постов
{
	$title='Доступ к комнате закрыт!';
	aut();
	head();
	$align='center';
	$postus = $rooms['posts'] - $user['posts'];
	echo 'Извините, но в эту комнату вам доступ пока закрыт!<br />
		Для входа в комнату вам необходимо набрать <font color="red"><b>'.$postus.'</b></font> постов!<br />';
	$rooms1 = $db->sql_query("SELECT * FROM `rooms` ORDER BY `pos` ASC");
	if($db->sql_numrows($rooms1)!=0)
	{
		echo '<b>Ниже представлены доступные для вас комнаты!</b><br />';
		while($room = $db->sql_fetchrow($rooms1))
		{
			echo menu;
			if($user['posts'] > $room['posts'])
			{
				if ($room['sartir']==1)echo '<a href="room?'.$ref.'&amp;rm='.$room['rm'].'&amp;sartir"><font color="green">'.$room['name'].'</font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')</a><br />';
				else if ($room['intim']==1)echo '<a href="room?'.$ref.'&amp;rm='.$room['rm'].'&amp;intim"><font color="green">'.$room['name'].'</font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')</a><br />';
				else if ($room['zags']==1)echo '<a href="room?'.$ref.'&amp;rm='.$room['rm'].'&amp;zags=zags"><font color="green">'.$room['name'].'</font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')</a><br />';
				else if ($room['level']<=$user['level'])echo '<a href="room?'.$ref.'&amp;rm='.$room['rm'].'"><font color="green">'.$room['name'].'</font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')</a><br />';
			}else
			{
				if ($room['sartir']==1)echo '<font color="red"><s>'.$room['name'].'</s></font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')<br />';
				else if ($room['intim']==1)echo '<font color="red"><s>'.$room['name'].'</s></font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')<br />';
				else if ($room['zags']==1)echo '<font color="red"><s>'.$room['name'].'</s></font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')<br />';
				else if ($room['level']<=$user['level'])echo '<font color="red"><s>'.$room['name'].'</s></font>('.$db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "'.$room['rm'].'"'),0).')<br />';
			}
			echo div;
		}
	}else{
	echo 'Комнаты в которых можно набрать посты пока что не созданы<br />';
	}
	
	echo gbinroom.'<a href="enter">Прихожая</a><br/>'.div;
	info_compress();
	echo 'Время:'.$debag->endTimer().' сек<br />'.div;
	foot();
}////////конец вход с опр кол-ва постов


$zag= $db->sql_query  ("SELECT `status` FROM `zags` WHERE `status` ='1' LIMIT 1 ");
$zags = mysql_fetch_array ($zag);
if ($zags['status'] != 1 && $rooms['zags'] == 1){
$align='center';
$title='Свадебная церемония не проводится.';
head();

echo 'Cейчас пока сюда нельзя. о начале проведения церемонии вам сообщат';////Извините, но на данный момент Церемоний нет или уже окончена!<br />';

echo gbinroom.'<a href="enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();  
}

if ($rooms['intim']==1){
if(!isset($_POST['inps']) && isset($_SESSION['inps']))$inps = intval($_SESSION['inps']);
else $inps = intval($_POST['inps']);
$_SESSION['inps'] = $inps;
}
if(empty($inps)) $inps = 0;

if ($user['level']<$rooms['level']){
$align='center';
$title='Ошибка!';
head();

echo 'Извините, но в эту комнату Вам доступ запрешен!<br />';

echo gbinroom.'<a href="enter">Прихожая</a>'.div;
 info_compress();
 echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}


if (($rooms['sartir']!=1) && ($user['kik']>$time)){
$align='center';
$title='Вы выпнуты!';
head();
echo '<b>'.user($user['whokik']).'</b> выпнул вас из чата на <b>'.kikt($user['kik']).'</b> <br />Причина: <b>'.$user['whykik'].'</b><br />';
$rooms = $db->sql_query("SELECT * FROM `rooms` WHERE sartir = '1' ORDER BY `pos` ASC");
if($db->sql_numrows($rooms)!=0)echo 'Вам разрешен доступ только в<br />';
while($room = $db->sql_fetchrow($rooms)){
if ($room['level']<=$user['level'])echo '<a href="room?rm='.$room['rm'].'">'.$room['name'].'</a><br />';}
echo '<br />';
echo gbinroom.'<a href="enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}

if ((isset($_GET['sartir']))&&($rooms['sartir']==1)){
$align='center';
$title=$rooms['name'];
head();
?>
<b>Внимание!</b><br/>
Сейчас вы попадете в <?php echo $rooms['name'];?>
<br/>Здесь вы можете делать все, что угодно <b style="color:red">(кроме рекламы и флуда)</b>.<br/>
И за весь происходящий здесь беспредел администрация чата никакой ответственности не несет.<br/>
Людям со слабыми нервами и тонкой душевной организацией заходить в <?php echo $rooms['name']; ?> настоятельно не рекомендуется.<br/>
<b style="color:red">Обращаем внимание на то, что<br/>администрацию не стоит втягивать в конфликтные<br/>ситуации за подобное нарушение<br/>учетная запись блокируется навсегда!</b>
<?php
echo gbinroom.'<center><a href="room?rm='.$rm.'">Войти</a></center>'.div;
echo gbinroom.'<center><a href="enter">Прихожая</a></center>'.div;
info_compress();
echo '<center>Время:'.$debag->endTimer().' сек</center><br/>'.div;
foot();
}


who_add($rm,'room'); // Занисываем Кто онлайн...

if ((check($_GET['zags']==zags))&&($rooms['zags']==1)){
$zag= $db->sql_query  ("Select * from zags WHERE `status` ='1' LIMIT 1 ");
$zags = mysql_fetch_array ($zag);
$align='left';
$title=' '.$rooms['name'].'';
head();
if($zags[status]==1){
require'sys/calendar.php';
echo ' '.date("H:i", $time).' ';
echo '<center><bgsound src="zags/logo.mid"loop="1"><a><img src="zags/zags.jpeg" alt=""></a></center>';
echo 'Сейчас состоится священное таинство бракосочетания<br/>';
echo links.'<a><img src="man.gif" alt=""></a> жених '.nik($zags[genix]).'  '.div;
echo links.'<a><img src="woman.gif" alt=""></a> невеста '.nik($zags[nevesta]).'  '.div;
echo ' свидетель '.nik($zags[svid]).' <br /> ';
echo ' свидетельница '.nik($zags[svidet]).' <br /> ';
echo 'дата свадьбы: '.$zags[d].'-'.$zags[m].'-'.$zags[g].' <br />'; 
echo 'время: '.$zags[cm].':'.$zags[min].' <br />'; 
echo 'ведущий:   '.nik($zags[ved]).' <br /><br/>'; 
echo gbinroom.'<a href="room?rm='.$rm.'">Войти</a>'.div;
echo gbinroom.'<a href="enter">Прихожая</a>'.div;
}else{
echo '<b>Cейчас пока сюда нельзя. о начале проведения церемонии вам сообщат</b><br/>';
echo gbinroom.'<a href="enter">Прихожая</a>'.div;
}
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}


if (($rooms['intim']==1)&&((isset($_GET['intim']))||(empty($inps))||(strlen2($inps)<4)||($inps==0))){
$align='left';
$title=$rooms['name'];
head();

if ($ver!='wml')echo '<form action="room?rm='.$rm.'&amp;'.SID.'" method="post">';
echo '* Ключ(min: 4):<br /><input name="inps" maxlength="30" title="Введите сюда любой ключ состоящий из цифр!"/><br/>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Войти<go href="room?rm='.$rm.'&amp;'.SID.'" method="post"><br />';
echo '<postfield name="inps" value="$inps"/>
</go></anchor><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Войти"/></form><br />';
}
echo '<font color="red"><b>*</b> Ключь должен быть от 4 символов состоящий из цифр и не должен состоять из одних 0</font><br />';
echo gbinroom.'<a href="enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}

$bs=explode('|',$user['binds']);

$align='left';
$title=$rooms['topic'].'-'.date("H:i", $time);
head();


if (isset($_GET['komm'])){
echo '<b>Комманды викторины:</b><br />';
echo '<b>!вопрос</b> или <b>!vopros</b> - Повтор вопроса<br />';

if ($rooms['baryga']!=0)echo '<b>!ответ</b> или <b>!otvet</b> - Купить ответ<br />';

echo gbinroom.'<a href="room?rm='.$rm.'&amp;obn" accesskey="'.$bs[1].'">В комнату ['.$bs[1].']</a> '.div;
echo gbinroom.'<a href="enter" accesskey="'.$bs[7].'">Прихожая ['.$bs[7].']</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
}
////if($rm == 18)echo '<font color="red"><b>Данная комната собственность </font><a href="6">Нассау_Оранский!!!</b></a><br/>';


///////////////////////////////////////////////////
///if($user['level']== 9) {
			/*$s = '<script language="JavaScript" type="text/javascript">
			<!--
			document.write("<strong>Название: <b>"+navigator.appName+"</b></strong>");
			//-->
			</script>';*/

			/*$ass = '<script language="JavaScript">
			<!--
			var height=0; var width=0;
			if (self.screen) {
			width = screen.width
			height = screen.height
			}
			else if (self.java) {
			var jkit = java.awt.Toolkit.getDefaultToolkit();
			var scrsize = jkit.getScreenSize();
			width = scrsize.width;
			height = scrsize.height;
			}

			if (width > 0 && height > 0) {
			document.writeln("<strong>Разрешение экрана: <b>"+width+"x"+height+"</b></strong>")
			} else {
			document.writeln("<strong>Разрешение экрана: <b>неизвестно</b></strong>")
			} 
			//-->
			</script>';
			echo $ass.'<br />';*/
			
			/////}///

///////////////////////////////////////////////////

if ($user['softk']!=1){
if ($ver=='wml'){
if ($rooms['umnik']!=0)echo '<do type="options" name="who_room" label="Команды"><go href="?rm='.$rm.'&amp;komm&amp;'.SID.'"/></do>';

if ($rooms['intim']!=1)echo '<do type="options" name="who_room" label="Кто в комнате?"><go href="who_room?rm='.$rm.'&amp;'.SID.'"/></do>';
echo '<do type="options" name="who" label="Кто где?"><go href="who?rm='.$rm.'&amp;'.SID.'"/></do><do type="options" name="smiles" label="Смайлы"><go href="smile?rm='.$rm.'&amp;'.SID.'"/></do>';

if ($user['level']>=4&&$rooms['intim']!=1)echo '<do type="options" name="topic" label="Сменить Топик"><go href="topic?rm='.$rm.'&amp;'.SID.'"/></do>';
if($user[level]>=7) echo '<a href="/admin/"><font color="red">Админка</font></a>|';
if ($user['level']>=7)echo '<do type="options" name="delete" label="Очистить комнату"><go href="room?rm='.$rm.'&amp;delete_all&amp;'.SID.'"/></do>';
?>
<br />
<?php
}else{
/*<form>
 <select name="menu" onchange="top.location.href = this.options[this.selectedIndex].value;">';
 <option selected>навигационное окно</option>
 <option value="../index.html">Главная</option>
 <option value="../gb/">Гостевая</option>
 <option value="../soft/">Загрузки</option>
 </select> </form>*/
/////////////////////////////////////////////////////////////////////
if($user['link_room'] == 1){ 

echo '<form>
<select name="menu" onchange="top.location.href = this.options[this.selectedIndex].value;">';
echo '<option value="room.php?rm='.$rm.'">тут [<b>' . $db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "' .$rm . '"'), 0) . '</b>] всего [' . $db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who`'), 0) . '</b></a>]</option>';
if ($user['level'] >= 8 and $set['reg'] == 2){echo '<option value="admin/users?mod=access">Одобр рег(' .$db->sql_fetchfield($db->sql_query("select count(*) as num from users where odobr = '1'"),0) . ')</option>';}
if($user['level']>=7) echo '<option value="/admin/">Админка</option>';
if($rooms['bot_bartender']!=0)echo '<option value="list_drink.php?rm='.$rm.'">Меню Бара</option>';
if($user['level']>=7)echo '<option value="room.php?rm='.$rm.'&delete_all">Очистить комнату</option>';
if($user['level']>=9)echo '<option value="room?rm='.$rm.'&who_all">Где Все</option>';
if ($rooms['intim']!=1)echo '<option value="who_room?rm='.$rm.'&'.SID.'">Кто в комнате?[<b>' . $db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "' .$rm . '"'), 0) . '</b>]</a></option>';
echo '<option value="who?rm='.$rm.'&'.SID.'">Кто где?<b>[' . $db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who`'), 0) . '</b></a>]</option>';
echo '<option value="smile?rm='.$rm.'&'.SID.'">Смайлы</option>';
echo '<option value="topic?rm='.$rm.'&'.SID.'">Топик</option>';
if($user[filtr_msg] == 1)
{echo '<option value="room?rm='.$rm.'&filtr=2&'.SID.'">Filtr[S]-выкл?</option>';}
else
{echo '<option value="room?rm='.$rm.'&filtr=1&'.SID.'">Filtr[S]-вкл?</option>';}
?>
</select> </form>
<?php
}else{
if ($rooms['bot_bartender']!=0) echo '[<a href="list_drink.php?rm='.$rm.'&amp;" >Меню Бара</a>]';

if ($rooms['umnik']!=0)echo '[<a href="?rm='.$rm.'&amp;komm" accesskey="11">Команды[11]</a>]';
if($user[level]>=7) echo '<a href="/admin/"><font color="red">Админка</font></a>|';
if ($user['level']>=7)echo '[<a href="room?rm='.$rm.'&amp;delete_all">Очистить комнату</a>]';
if ($user['level']==9)echo '[<a href="room?rm='.$rm.'&amp;who_all">Где Все</a>]';
if ($user['level'] >= 8 and $set['reg'] == 2)
{echo '<a href="admin/users?mod=access"><b>[<font color=\"Maroon\">Одобр рег</font>]</b></a>(<b><font color=\"Maroon\">' .$db->sql_fetchfield($db->sql_query("select count(*) as num from users where odobr = '1'"),0) . '</font></b>)<br>';
} else{echo '<br/>';}

if ($rooms['intim']!=1)echo '[<a href="who_room?rm='.$rm.'" accesskey="'.$bs[2].'">Кто в комнате?[<big><b>' . $db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who` WHERE `room` = "room" and `rm` = "' .$rm . '"'), 0) . '</b></big>]</a>]';
echo '[<a href="who?rm='.$rm.'" accesskey="'.$bs[3].'">Кто где?[<big><b>' . $db->sql_fetchfield($db->sql_query('SELECT COUNT(*) FROM `who`'), 0) . '</b></big>]</a>][<a href="smile?rm='.$rm.'" accesskey="'.$bs[4].'">Смайлы</a>]';
if ($user['level']>=4&&$rooms['intim']!=1)echo '[<a href="topic?rm='.$rm.'" accesskey="'.$bs[5].'">Топик</a>]';


if($user[filtr_msg] == 1)
{
	echo '[<a href="room?rm='.$rm.'&amp;filtr=2"><font color="#FA8072">Filtr[S]-выключить</font></a>]<br />';
}else
{
	echo '[<a href="room?rm='.$rm.'&amp;filtr=1"><font color="#32CD32">Filtr[S]-включить</font></a>]<br />';
}
}
}
if($_GET['filtr'] == 2)
{
	$db->sql_query('UPDATE `users` SET `filtr_msg` = 0 WHERE `id` = "'.$user[id].'" LIMIT 1');
	header('Location: room?rm='.$rm);exit;
}
	if($_GET['filtr'] == 1)
{
	$db->sql_query('UPDATE `users` SET `filtr_msg` = 1 WHERE `id` = "'.$user[id].'" LIMIT 1');
	header('Location: room?rm='.$rm);exit;
}


}
if($rm==11 and $user['level'] >= 4 ) echo '<a href="igr_vopros?"><font color="green">Задать вопрос</font><br/></a>';
$v = $db->sql_fetchrow($db->sql_query("SELECT * FROM `gamevopros` LIMIT 1"));
if($rm==11 and isset($v['vopros']))
{
	$vp = 'Вопрос:<b>'.$v['vopros'].'</b><br/>';
	if(isset($v['text']) and $v['text'] != '')$vp.= '<b>'.$v['text'].'</b><br/>';
	if(isset($v['text2']) and $v['text2'] != '')$vp.= '<b>'.$v['text2'].'</b><br/>';
	if(isset($v['text3']) and $v['text3'] != '')$vp.= '<b>'.$v['text3'].'</b><br/>';
	if(isset($v['text4']) and $v['text4'] != '')$vp.= '<b>'.$v['text4'].'</b><br/>';
	if(isset($v['text5']) and $v['text5'] != '')$vp.= '<b>'.$v['text5'].'</b><br/>';
	if(isset($v['text6']) and $v['text6'] != '')$vp.= '<b>'.$v['text6'].'</b><br/>';
	echo menu.$vp.div;
}
echo gbinroom.'<a href="tell?'.$ref.'&amp;rm='.$rm.'" accesskey="'.$bs[0].'">Сказать</a><font color="black"> | </font>';
if ($user['polevv']!=2&&$user['polevv']!=0){
if ($ver!='wml')echo '<form action="tell?'.$ref.'&amp;rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<input name="msg'.$ref.'" maxlength="512" title="Введите сюда своё сообщение!"/><br/>';
else echo '<input type="hidden" name="key" value="'.$_SESSION['key'].'">
<TEXTAREA NAME="msg" ROWS='.$user['pole1'].' COLS='.$user['pole2'].' maxlength="512" title="Введите сюда своё сообщение!"/></TEXTAREA><br/>';
if ($user['dd']!=0){
if ($user['level']>=4){
echo '<select name="dd">
<option value="0" selected="selected">Шрифт</option>
<option value="1">Наклонный</option>';
if ($user['level']>=5) echo '<option value="2">Подчёркнутый</option>';
if ($user['level']>=6) echo '<option value="3">Накл. и подч.</option>';
if ($user['level']>=6) echo '<option value="4">Жирный</option>';
if ($user['level']>=7) echo '<option value="5">Жирн. и подч.</option>';
if ($user['level']>=7) echo '<option value="6">Огромный</option>';
echo '</select><br />';
}
}
if ($user['emo']!=0){
?>
<select name="emo">
<option value="0" selected="selected">Эмоции</option>
<option value="1">Радостно</option>
<option value="2">Печально</option>
<option value="3">Удивленно</option>
<option value="4">Ласково</option>
<option value="5">Смущенно</option>
<option value="6">Кокетливо</option>
<option value="7">Обиженно</option>
<option value="8">Настойчиво</option>
<option value="9">Шепотом</option>
<option value="10">Задумчиво</option>
<option value="11">Злобно</option>
</select><br />
<?php
}

if ($user['color']!=0){
?>
<select name="color">
<option value="0" selected="selected">Цвет</option>
<option value="1">Красный</option>
<option value="2">Синий</option>
<option value="3">Сереневый</option>
<option value="4">Зеленый</option>
</select><br />
<?php
}
if ($ver=='wml'){
echo '<anchor title="go">Сказать<go href="tell?'.$ref.'&amp;rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="key" value="'.$_SESSION['key'].'"/>
<postfield name="dd" value="$dd"/>
<postfield name="emo" value="$emo"/>
<postfield name="color" value="$color"/>
</go></anchor>';
echo '<br/>';
}else{

echo '<input type="submit" class="ibutton" value="Сказать"/></form><br />';
}
}
echo '<a href="room?'.$ref.'&amp;rm='.$rm.'" accesskey="'.$bs[1].'">Обновить</a> '.div;
$room=mysql_fetch_assoc(mysql_query("SELECT * FROM `rooms` WHERE `rm` = '".intval($_GET['rm'])."' LIMIT 1"));
if(!$room['sartir'] == 1 && !$room['inkog'] == 1 && !$room['intim'] == 1 ){

if (isset($_GET['call']))
{
echo "<div class=\"err\">";
echo '<span style="color:red">Вы действительно хотите вызвать модера? За вызов модера просто так Вы можете  получить бан!</span><br />';
echo '[<a href="/room?'.$ref.'&amp;rm='.$rm.'&amp;call2"><span style="color:red">Да</span></a> | ';
echo "<a href=\"/room?".$ref."&amp;rm=$rm\">Нет</a>]<br />\n";
echo "</div>";
}

if(isset($_GET['call2']))
{

$room=mysql_fetch_assoc(mysql_query("SELECT * FROM `rooms` WHERE `rm` = '".intval($_GET['rm'])."' LIMIT 1"));

$moders = mysql_query("SELECT `id` FROM `users` WHERE `level`>'4'");
$msg = "Вас вызывает пользователь <b>$user[user]</b> в комнату <b>$room[name]</b>!";

while($vizov = mysql_fetch_array($moders))
{

$sp=$db->sql_fetchfield($db->sql_query("select COUNT(*) from users WHERE `id` = '$user[id]'  and `room_spam`>'".($time - $set['room_spam'])."';"),0);
if ($sp > 0){print'Перевышен лимит вызовов,попробуйте позже....';}else{

mysql_query("UPDATE `users` SET `room_spam` = '$time' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('0','0','$vizov[id]','$vizov[id]','$time','$msg')");
print'Вы успешно вызвали модера. Спасибо</br>';
}
}

}
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];

$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from message WHERE `rm` = '".$rm."' and `inps` = '".$inps."';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

if ($k_post == 0)echo 'Здесь сообщений пока нет :(<br /><br />';
if ($_GET['err_zap']==1)echo '<b>Записка должна быть не менее 2 символов!</b><br />';
if ($_GET['err_zap']==2)echo '<b>Записка не отправлена!Такого пользователя не существует!</b><br />';
if ($_GET['err_zap']==3)echo '<b>Проверочный код введен неверно!</b><br />';
if ($_GET['err_zap']==4)echo '<b>Чтобы писать записки, нужно набрать '.$set['posts_pr'].' постов!</b><br />';
if ($_GET['err_zap']==5)echo '<b>Запрещено писать пользователям с х-статусом "Не беспокоить"<img src="'.H.'img/online/zaniat.png" alt="*" /></b><br />';
if ($_GET['err_zap']==6)echo '<b>Вы не можете писать этому пользователю, т.к. находитесь в его черном списке.</b><br />';
if ($_GET['err_zap']==7)echo '<b>Этому пользователю писать могут только друзья.</b><br />';
if ($_GET['err_zap']==8)echo '<b>Полозователь запретил отправлять ему записки.</b><br />';
if ($_GET['err_zap']==9)echo '<b style="color:red">Промежуток между сообщениями должен быть больше '.$set['flyd_privat'].' сек.</b><br/>';
if ($_GET['try']=='try')echo '<font color="#32CD32">Записка успешно отправлена!</font><br />';

if (isset($_GET['err']) && $_GET['err'] == 't')echo '<b>Промежуток между сообщениями должен быть больше '.$rooms['flyd'].' сек.</b><br />';



if (isset($_GET['delete']) and $user['level']>=5)
{
	$res = $db->sql_fetchrow($db->sql_query("SELECT `user_id` FROM `message` WHERE `id` = '".$_GET['delete']."' LIMIT 1"));
	if(isset($res['user_id']))
	{	
		if($res['user_id'] != 0)
		{
			$lev = $db->sql_fetchrow($db->sql_query("SELECT `level` FROM `user` WHERE `id` = '".$res['user_id']."' LIMIT 1"));
			if($user['level']>$lev['level'])
			{
				$db->sql_query('UPDATE `message` SET `ignor_msg` = 1 WHERE `id` = "'.$_GET['delete'].'" LIMIT 1');
				echo 'Сообщение в игноре для всех<br />';
			}else
			{
				echo 'У вас не хватает прав!<br />';
			}
		}else
		{
			$db->sql_query('UPDATE `message` SET `ignor_msg` = 1 WHERE `id` = "'.$_GET['delete'].'" LIMIT 1');
			echo 'Сообщение в игноре для всех<br />';
		}
	}else{  echo 'У вас не хватает прав!<br />';}
}
/*
if (isset($_GET['ignorall']) and $user['level']>=5)
{
	$res = $db->sql_fetchrow($db->sql_query("SELECT `user_id` FROM `message` WHERE `id` = '".$_GET['ignorall']."' LIMIT 1"));
	if(isset($res['user_id']))
	{	
		$lev = $db->sql_fetchrow($db->sql_query("SELECT `level` FROM `user` WHERE `id` = '".$res['user_id']."' LIMIT 1"));
		if($user['level']>$lev['level'])
		{
			$db->sql_query('UPDATE `message` SET `ignor_msg` = 1 WHERE `user_id` = "'.$res['user_id'].'"');
			echo 'Сообщение в игноре для всех<br />';
		}else
		{
			echo 'У вас не хватает прав!<br />';
		}
	}else{  echo 'У вас не хватает прав!<br />';};
}*/
////ALTER TABLE `users` ADD `ingor_msg` INT NOT NULL DEFAULT '0'
if (isset($_GET['delmsg']))///////удаление бот сообщения юзеру юзером
{
	$db->sql_query("DELETE FROM `message` WHERE `id` = '".(int)$_GET['delmsg']."' AND `user_id`= 0 AND `komu`= '".$user['id']."' LIMIT 1");
	echo 'Сообщение удалено<br />';
}
if($user['level'] >= 9 and $_GET['delignor'] == 'yes')
{
	$db->sql_query("DELETE FROM `message` WHERE `rm` = '".$rm."' and `ignor_msg` = '1'");
	echo 'Все игнор сообщения в комнате удалены<br />';
}
///////удаление интимных сообщений по ключу//////////
if (isset($_GET['delintim']) and $user['posts']>= 200)
{	
	$deel = (int)$_GET['delintim'];
	if($deel != 0)
	{
		$intmsg = mysql_fetch_assoc(mysql_query("SELECT `inps` FROM `message` WHERE `inps` = '".$deel."' and `user_id` = '".$user['id']."' LIMIT 1"));
		if(isset($intmsg) and $intmsg != 0)
		{
		
			$db->sql_query("DELETE FROM `message` WHERE `rm` = '".$rm."' AND `inps`= '".$intmsg['inps']."' ");
			header('Location: room?'.$ref.'&rm='.$rm);exit; 
		}else
		{
			header('Location: room?'.$ref.'&rm='.$rm);exit; 
		}
	}else
	{
		header('Location: room?'.$ref.'&rm='.$rm);exit; 
	}
}

if ($rm == 5) include 'bots/zag1.php';
if ($rooms['umnik']!=0) require H.'bots/umnik1.php';
if ($rooms['shut']!=0) require H.'bots/shut.php';
if ($rooms['znatok']!=0) require H.'bots/znatok.php';
if ($rooms['anek']!=0) require H.'bots/anek.php';
if ($rooms['tupica']!=0) require H.'bots/umnikmat1.php';
if ($rooms['tupica']!=0) require H.'bots/tupica.php';
if ($rooms['bot_bartender']!=0) require H.'bots/bot_bartender.php';

////msg,color,bb,emo,komu,privat,user_id,user,time,id,
///$mess = @$db->sql_query( @"SELECT msg,color,bb,emo,komu,privat,user_id,user,time,id from `message` WHERE `rm` = '".$rm."' and `inps` = '".$inps."' order by id DESC limit $start, $max;" );

if($user[filtr_msg] == 1)///////////фильтр сообщений
{
	$mess = @$db->sql_query(@"SELECT msg,color,bb,emo,komu,privat,user_id,user,time,id,ignor_msg from `message` WHERE `rm` = '" . $rm ."' and `inps` = '" . $inps . "' and (`user_id` = '" . $user['id'] . "' or `komu` = '" . $user['id'] . "') order by id DESC limit $start, $max;");
}else
{
if ($user['level']>=$set['privat']){
	$mess = @$db->sql_query(@"SELECT msg,color,bb,emo,komu,privat,user_id,user,time,id,ignor_msg from `message` WHERE `rm` = '" . $rm ."' and `inps` = '" . $inps . "' order by id DESC limit $start, $max;");//Читаем привата админами с допустимым левелом
}else{
	$mess = @$db->sql_query(@"SELECT msg,color,bb,emo,komu,privat,user_id,user,time,id,ignor_msg from `message` WHERE `rm` = '" . $rm ."' and `inps` = '" . $inps . "'  and `privat` = '" .privat. "' order by id DESC limit $start, $max;");//нормальный вывод сообщений для пользоваеля
}
}
$icount = 1;
while($msg = @$db->sql_fetchrow($mess))
{
		if($user['style'] == 'lilok' || $user['style'] == 'vk' and $user['razdelitel'] == 1)
	{
		
		if($icount%2==0)
		{if($ver == 'xhtml') {$razd = razdel;}else{$razd = '- - - - - -<br/>';}}
		else
		{if($ver == 'xhtml') {$razd = razdel1;}else{$razd = '- - - - - -<br/>';}}
	echo $razd;
	}
	$text = $msg['msg'];
	//if ($msg['color']>0) $text =  color_msg($text);
	if ($msg['color']>0)
	{
		if($msg['color'] > 4)
		{
			/*if($msg['color'] == 5) $text = GradientLetter($text,'F90000', '00FF00');
			elseif ($msg['color'] == 6) $text = GradientLetter($text, 'FF0000', '000000');
			elseif ($msg['color'] == 7) $text = GradientLetter($text, 'EEE467', '384267');
			elseif ($msg['color'] == 8) $text = GradientLetter($text, 'F7FF0D', '1E49E6');
			elseif ($msg['color'] == 9) $text = GradientLetter($text, '000000', '00FF00');
			elseif ($msg['color'] == 10) $text = GradientLetter($text, 'EF33ED', 'EFCAF1');
			elseif ($msg['color'] == 11) $text = GradientLetter($text, '030303', '96A0A4');
			elseif ($msg['color'] == 12) $text = GradientLetter($text, '0000CD', '228B22');
			elseif ($msg['color'] == 13) $text = GradientLetter($text, '6B8E23', 'FF00FF');
			elseif ($msg['color'] == 14) $text = GradientLetter($text, '87CEEB', '000080');
			elseif ($msg['color'] == 15) $text = GradientLetter($text, 'FFD700', 'FF0000');
			elseif ($msg['color'] == 16) $text = GradientLetter($text, '6A5ACD', 'BC8F8F');*/
		}else
		{
			$text =  color_msg($text);
		}
	}
	if ($msg['bb']>0)$text =  bb_msg($text);
	if ($msg['emo']>0)$text = emo_msg($text);
	//if (($rooms['tupica']==0) && ($rooms['sartir']==0))if ($rooms['antim']>0)$text = antim($text);
	///if ($rooms['antir']>0 and $msg['user_id'] != 0)$text = antir($text);
	if($msg['user_id'] == 3)
	{  
		/*<style>.shadowtext {
		text-shadow: 1px 1px 2px black, 0 0 1em black;  Параметры тени 
		color: white;  Белый цвет текста 
		font-size: 10px;  Размер надписи 
		}</style>*/
	
		$text = ''.$text.'';
		///$text = ' <b class="shadowtext">'.$text.'</b>';
	}else
	{
		$text = ''.$text.'';
	}
	if ($msg['komu']!=0) 
	{
		if ($user['id']==$msg['komu']) 
		{
			
			$komu = '<b><font color="red">'.user($msg['komu']).'</font></b>,';
			////$text = gbinroom.$text.div;
		}else 
		{
			$komu = user($msg['komu']).',';
		}
	}else
	{
		$komu = '';
	}

	if ($msg['privat']==0)
	{
		$ignorr = mysql_fetch_assoc(mysql_query("Select * from ignor where `ig_id` = '".$msg['user_id']."' and `user_id` = '".$user[id]."'"));
		if ( $user['id'] == $ignorr['user_id'] and $msg['user_id'] == $ignorr['ig_id']){}else
		{
			if($msg['ignor_msg']==0)//проверка на игнорируемое сообщениие 
			{
				if ($msg['user_id']!=0) 
				{	$icount++;	
					echo nik($msg['user_id'],''.H.'inside?'.$ref.'&amp;rm='.$rm.'&amp;nk='.$msg['user_id'].'').date("(H:i", $msg['time']).')';
				}else 
				{	$icount++;
					echo '<img src="'.H.'img/bot.gif" alt="" />'.$msg['user'].date("(H:i", $msg['time']).')';
				}
				if ($user['level']>=5)echo '<small><a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a></small>';
				echo '&gt;'.$komu.text($text).'<br />';
			}else
			{
				if($msg['user_id'] == $user['id'] or (isset($_SESSION['ign']) and $_SESSION['ign'] == 1)) ///показываем ингор сообщение тому кто написал его 
				{
					if ($msg['user_id']!=0)
					{		$icount++;	
						echo nik($msg['user_id'],''.H.'inside?'.$ref.'&amp;rm='.$rm.'&amp;nk='.$msg['user_id'].'').date("(H:i", $msg['time']).')';
					}else 
					{	$icount++;
						echo '<img src="'.H.'img/bot.gif" alt="" />'.$msg['user'].date("(H:i", $msg['time']).')';
					}
					if(isset($_SESSION['ign']) and $_SESSION['ign'] == 1)
					{
						if ($user['level']>=5)echo '<small><a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a><b>[игнор]</b></small>';
						echo '&gt;'.$komu.text($text).'<br />';
					}else
					{
						if ($user['level']>=5)echo '<small><a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a></small>';
						echo '&gt;'.$komu.text($text).'<br />';
					}
				}
			}
		}
	}else if ($msg['privat']==$user['id']||$msg['user_id']==$user['id'])
	{
		$ignorr = mysql_fetch_assoc(mysql_query("Select * from ignor where `ig_id` = '".$msg['user_id']."' and `user_id` = '".$user[id]."'"));
		if ( $user['id'] == $ignorr['user_id'] and $msg['user_id'] == $ignorr['ig_id']){}else
		{	
			if($msg['ignor_msg']==0)
			{	$icount++;
				if ($msg['user_id']!=0)echo nik($msg['user_id'],''.H.'inside?'.$ref.'&amp;rm='.$rm.'&amp;nk='.$msg['user_id'].'').date("(H:i", $msg['time']).')';
				else echo '<img src="'.H.'img/bot.gif" alt="" />'.$msg['user'].date("(H:i", $msg['time']).')';
				echo '<b>[P!]</b>';
				if ($user['level']>=5)echo '<small><a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a></small>';
				if($msg['user_id']==0)
				{
					echo '&gt;' . $komu .text($text) .'<b>[ <a href="../room?rm='.$rm.'&amp;delmsg='.$msg['id'].'"><font color="red">Удалить</font></a> ]</b><br />';
				}
				else
				{
					echo '&gt;' . $komu .text($text) .'<br />';
				}
			}else
			{	$icount++;
				if($msg['user_id'] == $user['id'] or (isset($_SESSION['ign']) and $_SESSION['ign'] == 1)) ///показываем ингор сообщение тому кто написал его 
				{
					if ($msg['user_id']!=0)echo nik($msg['user_id'],''.H.'inside?'.$ref.'&amp;rm='.$rm.'&amp;nk='.$msg['user_id'].'').date("(H:i", $msg['time']).')';
					else echo '<img src="'.H.'img/bot.gif" alt="" />'.$msg['user'].date("(H:i", $msg['time']).')';
					if(isset($_SESSION['ign']) and $_SESSION['ign'] == 1)
					{
						echo '<b>[игнор][P!]</b>';
					}else
					{
						echo '<b>[P!]</b>';
					}
					if ($user['level']>=5)echo '<small><a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a></small>';
					if($msg['user_id']==0)
					{
						echo '&gt;' . $komu .text($text) .'<b>[ <a href="../room?rm='.$rm.'&amp;delmsg='.$msg['id'].'"><font color="red">Удалить</font></a> ]</b><br />';
					}
					else
					{
						echo '&gt;' . $komu .text($text) .'<br />';
					}
				}
			}
		}
	} else if (($msg['privat']!=$user['id']||$msg['user_id']!=$user['id']) && $user['level']>=$set['privat'] && $set['privat']!=0)
	{ // Чтение привата супер админами...
		if($msg['ignor_msg']==0)
		{	$icount++;
			if ($msg['user_id']!=0)echo nik($msg['user_id'],''.H.'inside?'.$ref.'&amp;rm='.$rm.'&amp;nk='.$msg['user_id'].'').date("(H:i", $msg['time']).')';
			else echo '<img src="'.H.'img/bot.gif" alt="" />'.$msg['user'].date("(H:i", $msg['time']).')';
			echo '<b>[!!!]</b>';
			if ($user['level']>=5)echo '<small><a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a></small>';
			echo '&gt;'.$komu.text($text).'<br />';
		}else
		{	$icount++;
			if($msg['user_id'] == $user['id'] or (isset($_SESSION['ign']) and $_SESSION['ign'] == 1)) ///показываем ингор сообщение тому кто написал его 
			{
				if ($msg['user_id']!=0)echo nik($msg['user_id'],''.H.'inside?'.$ref.'&amp;rm='.$rm.'&amp;nk='.$msg['user_id'].'').date("(H:i", $msg['time']).')';
				else echo '<img src="'.H.'img/bot.gif" alt="" />'.$msg['user'].date("(H:i", $msg['time']).')';
				if(isset($_SESSION['ign']) and $_SESSION['ign'] == 1)
				{
					echo '<b>[игнор][!!!]</b>';
				}else
				{
					echo '<b>[!!!]</b>';
				}
				if ($user['level']>=5)echo '<small><a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delete='.$msg['id'].'">[X]</a></small>';
				echo '&gt;'.$komu.text($text).'<br />';
			}
		}
	}
if($user['style'] == 'lilok' || $user['style'] == 'vk' and $user['razdelitel'] == 1) echo div;
}



if ($user['polevv']!=1&&$user['polevv']!=0){
echo gbinroom.'Сказать:'.div;
if ($ver!='wml')echo '<form action="tell?'.$ref.'&amp;rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<input name="msg'.$ref.'" maxlength="512" title="Введите сюда своё сообщение!"/><br/>';
else echo '<input type="hidden" name="key" value="'.$_SESSION['key'].'">
<TEXTAREA NAME="msg" ROWS='.$user['pole1'].' COLS='.$user['pole2'].' maxlength="512" title="Введите сюда своё сообщение!"/></TEXTAREA><br/>';

if ($user['dd']!=0){
if ($user['level']>=4){
echo '<select name="dd">
<option value="0" selected="selected">Шрифт</option>
<option value="1">Наклонный</option>';
if ($user['level']>=5) echo '<option value="2">Подчёркнутый</option>';
if ($user['level']>=6) echo '<option value="3">Накл. и подч.</option>';
if ($user['level']>=6) echo '<option value="4">Жирный</option>';
if ($user['level']>=7) echo '<option value="5">Жирн. и подч.</option>';
if ($user['level']>=7) echo '<option value="6">Огромный</option>';
echo '</select><br />';
}
}
if ($user['emo']!=0){
?>
<select name="emo">
<option value="0" selected="selected">Эмоции</option>
<option value="1">Радостно</option>
<option value="2">Печально</option>
<option value="3">Удивленно</option>
<option value="4">Ласково</option>
<option value="5">Смущенно</option>
<option value="6">Кокетливо</option>
<option value="7">Обиженно</option>
<option value="8">Настойчиво</option>
<option value="9">Шепотом</option>
<option value="10">Задумчиво</option>
<option value="11">Злобно</option>
</select><br />
<?php
}

if ($user['color']!=0){
?>
<select name="color">
<option value="0" selected="selected">Цвет</option>
<option value="1">Красный</option>
<option value="2">Синий</option>
<option value="3">Сереневый</option>
<option value="4">Зеленый</option>
</select><br />
<?php
}

if ($ver=='wml'){
echo '<anchor title="go">Сказать<go href="tell?'.$ref.'&amp;rm='.$rm.'&amp;act=add&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="key" value="'.$_SESSION['key'].'"/>
<postfield name="dd" value="$dd"/>
<postfield name="emo" value="$emo"/>
<postfield name="color" value="$color"/>
</go></anchor>';
echo '<br/>';
}else{
echo '<input type="submit" class="ibutton" value="Сказать"/></form><br />';
}
}
echo gbinroom;
?>
<a href="my/">ЛК</a>|<a href="my/profile?">Анкета</a>|<a href="my/setting?">Настройки</a>|<a href="forum?">Форум</a>
<?php
echo div;
echo gbinroom.'<a href="room?'.$ref.'&amp;rm='.$rm.'&amp;call" accesskey="'.$bs[1].'">Вызвать модера </a>'.div;
if($user['level'] >= 9)
{
	if(!isset($_SESSION['ign']) or $_SESSION['ign'] != 1)
	{
		echo gbinroom.'<a href="room?'.$ref.'&amp;rm='.$rm.'&amp;ig=1">Вкл игнор</a>|<a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delignor=yes">Удалить игнор</a><br/>'.div;
	}else
	{
		echo gbinroom.'<a href="room?'.$ref.'&amp;rm='.$rm.'&amp;ig=0">Выкл игнор</a>|<a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delignor=yes">Удалить игнор</a><br/>'.div;
	}
echo '';	
}
echo gbinroom;
if(isset($_GET['histiri'])){
str(H.'room?'.$ref.'&amp;rm='.$rm.'&amp;histiri&amp;',$k_page,$page);
}else{
echo '<a href="room?'.$ref.'&amp;rm='.$rm.'&amp;histiri&amp;page=2" accesskey="'.$bs[6].'">История</a>';
}
echo div;

if ($user['softk']!=0){
if ($ver=='wml'){
if ($rooms['intim']!=1)echo '<do type="options" name="who_room" label="Кто в комнате?"><go href="who_room?'.$ref.'&amp;rm='.$rm.'&amp;'.SID.'"/></do>';
echo '<do type="options" name="who" label="Кто где?"><go href="who?'.$ref.'&amp;rm='.$rm.'&amp;'.SID.'"/></do><do type="options" name="smiles" label="Смайлы"><go href="smile?rm='.$rm.'&amp;'.SID.'"/></do>';

if ($user['level']>=4&&$rooms['intim']!=1)echo '<do type="options" name="topic" label="Сменить Топик"><go href="topic?'.$ref.'&amp;rm='.$rm.'&amp;'.SID.'"/></do>';

if ($user['level']>=7)echo '<do type="options" name="delete" label="Очистить комнату"><go href="room?'.$ref.'&amp;rm='.$rm.'&amp;delete_all&amp;'.SID.'"/></do>';

echo '<br />';
}else{
if ($user['level']>=7)echo '[<a href="room?'.$ref.'&amp;rm='.$rm.'&amp;delete_all">Очистить комнату</a>]<br />';
if ($rooms['intim']!=1)echo '[<a href="who_room?'.$ref.'&amp;rm='.$rm.'" accesskey="'.$bs[2].'">Кто в комнате?</a>]';
echo '[<a href="who?rm='.$rm.'" accesskey="'.$bs[3].'">Кто где?</a>][<a href="smile?'.$ref.'&amp;rm='.$rm.'" accesskey="'.$bs[4].'">Смайлы</a>]';
if ($user['level']>=4&&$rooms['intim']!=1)echo '[<a href="topic?'.$ref.'&amp;rm='.$rm.'" accesskey="'.$bs[5].'">Сменить Топик</a>]<br />';

}
}
}
if ($rooms['intim']==1)
{
	if($user['posts'] >= 200)
	{
		echo gbinroom.'<a href="enter?intim">Выйти</a>|<a href="room?rm='.$rm.'&amp;delintim='.$_SESSION['inps'].'">Очистить комнату</a>'.div;
	}else
	{
		echo gbinroom.'<a href="enter?intim">Выйти</a>'.div;
	}
	
}
echo gbinroom.'<a href="enter" accesskey="'.$bs[7].'">Прихожая</a>'.div;


info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>